## view.xhtml
Class HtmlElement.ElementAttribute

    java.lang.Object
      view.xhtml.HtmlElement.ElementAttribute

Enclosing class:
  HtmlElement

    private class HtmlElement.ElementAttribute

extends java.lang.Object

A private class for HTML element attributes.

Field Summary
`private java.lang.String` `name`
`private java.lang.String` `value`

Constructor Summary
`HtmlElement.ElementAttribute(java.lang.String attribute_name, java.lang.String element_value)`

Method Summary
`java.lang.String` `getHtml()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    private final transient java.lang.String name

### value

    private final transient java.lang.String value

Constructor Detail

### HtmlElement.ElementAttribute

    public HtmlElement.ElementAttribute(java.lang.String attribute_name,
                                        java.lang.String element_value)

Method Detail

### getHtml

    public java.lang.String getHtml()